WordPress.org

Ready to get started?Download WordPress

Forums

MailPoet Gravity Forms Add-on
[resolved] Error on actvation (8 posts)

  1. zero6
    Member
    Posted 11 months ago #

    Hi Seb,

    I'm getting this error on activation. Any ideas?

    Fatal error: Access to undeclared static property: GFForms::$version in /nas/wp/www/cluster-1334/allenandheath/wp-content/plugins/mailpoet-gravity-forms-add-on/mailpoet-gravity-forms-addon.php on line 435

    I installed V1.0.0 no problem on a mirror but I see you've updated to 2.0.2 in the last week.

    Cheers
    David

    https://wordpress.org/plugins/mailpoet-gravity-forms-add-on/

  2. Sebastien D
    Member
    Plugin Author

    Posted 11 months ago #

    A similar support topic was already opened for this.

    I will look into the problem now that I have a line to look at.

  3. zero6
    Member
    Posted 11 months ago #

    Thanks Seb,

    Sure it's something simple. It's a top plugin btw :)

    D

  4. Sebastien D
    Member
    Plugin Author

    Posted 11 months ago #

    What version of Gravity Forms are you using?

  5. zero6
    Member
    Posted 11 months ago #

    Hi Seb,

    Gravity Forms Version 1.7.12

    I'm also using:
    Gravity Forms - Placeholders add-on - Version 1.2.1
    and
    Gravity Forms multilingual - Version 0.9.3

    Hope that helps.

    Cheers
    D

  6. zero6
    Member
    Posted 11 months ago #

    Hi Seb,

    Sorry... sure you're stacked out but any luck with this so far?

    Thanks
    D

  7. Sebastien D
    Member
    Plugin Author

    Posted 11 months ago #

    Sorry for the late reply. I think I have found the problem with that line.

    The version of Gravity Forms that you have uses GFCommon::$version which is deprecated in the latest version of Gravity Forms.

    You can either upgrade Gravity Forms to the latest version or simply change that line to work with the version you own.

    This is used up to 1.7.13 - GFCommon::$version

    This is used for the new version - GFForms::$version

    The plugin should then work for you.

    MailPoet will be providing support from now on.

  8. zero6
    Member
    Posted 10 months ago #

    Now I should apologise for an even later reply. Yep. Upgrading Gravity Forms did the trick.

    Thanks for your help on this.
    Great plugin :)

    D

Reply

You must log in to post.

About this Plugin

About this Topic

Tags

No tags yet.